//--------------------------------------------------------------------------- 

#ifndef CMSDNHelpH 
#define CMSDNHelpH 
//--------------------------------------------------------------------------- 

typedef HWND WINAPI (*THtmlHelpFunc)( HWND, LPCSTR, UINT, DWORD_PTR ); 

class TCMSDNHelp 
{ 
 protected: 
  HMODULE ocxModule ; 
  THtmlHelpFunc HtmlHelp ; 
  HWND helpWnd ; 
  bool __fastcall load() ; 
 public: 
  __fastcall TCMSDNHelp() ; 
  __fastcall ~TCMSDNHelp() ; 
  bool __fastcall help( const AnsiString& keyWord, const AnsiString& fileName  ) ; 
  bool showChm( const AnsiString& fileName ) ; 
} ; 
#endif